## ifile 1.3.9

=== debian/changelog ===
ifile (1.3.9-10) unstable; urgency=medium

  * QA upload.
  * debian/copyright: Update packaging copyright information.
  * debian/patches/40-fix-build-with-gcc15.patch: Fix build with GCC 15.
    (Closes: #1096831)

 -- Omar Zagonel El Laden <omarzladen@gmail.com>  Wed, 29 Oct 2025 22:30:21 -0300

ifile (1.3.9-9) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.9.8 to 4.7.0.
  * Updated Vcs in d/control with Salsa URLs.
  * Flagged in d/control that root build is not needed.
  * Switched debhelper compat setting to use debhelper-compat build-depends.
  * Removed now obsolete lintian overrides.
  * Use dh_clean and dh_auto_clean in d/rules override targets.
  * Updated project home to new URL.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 21 Apr 2024 21:13:06 +0200

ifile (1.3.9-8) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #920133)

 -- Marcos Talau <talau@debian.org>  Mon, 14 Nov 2022 06:05:18 -0300

ifile (1.3.9-7) unstable; urgency=low

  * debian/control
    - (Standards-Version): Update to 3.9.8.
    - (Vcs-*): Fix URLs. Patch thanks to
      Simon Kainz <simon@familiekainz.at>.
  * debian/copyright
    - Update URLs and improve sections.
  * debian/ifile.lintian-overrides
    - Add noted to overrides or Lintian output.
  * debian/rules
    - Add hardening. Clean up debhelper files.

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 21 Oct 2016 17:04:00 +0300

ifile (1.3.9-6) unstable; urgency=low

  * debian/control
    - (Build-Depends): Rm dpkg-dev; not needed with debhelper 9.
    - (Standards-Version): Update to 3.9.3.1.
  * debian/copyright
    - Update to format 1.0.
    - Add LGPL and list correct files under GPL.
  * debian/rules
    - Enable all hardening flags.
    - Use DEB_*_MAINT_* variables.

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 23 Mar 2012 07:22:02 -0400

ifile (1.3.9-5) unstable; urgency=low

  * debian/compat
    - Update to 9
  * debian/control
    - (Build-Depends): update to debhelper 9, dpkg-dev 1.16.1.
  * debian/patches
    - (20): Update to DEP3.
  * debian/rules
    - Use hardened CFLAGS.
      http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 12 Feb 2012 11:10:20 -0500

ifile (1.3.9-4) unstable; urgency=low

  * debian/control
    - (Standards-Version): Update to 3.9.2.
    - (Description): Make first line more compact (lintian).
  * debian/copyright
    - (Copyright): Add missing headers.
    - (Format): Update URL.
  * debian/debian-autotools.mk
    - Delete; no longer needed.
  * debian/ifile.lintian-overrides
    - Correct match line.
  * debian/rules
    - Remove include and clean up config.* files (FTBFS; Closes: #643164).

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 28 Sep 2011 12:20:24 +0300

ifile (1.3.9-3) unstable; urgency=low

  * debian/copyright
    - Update to DEP5.
  * debian/patches
    - (30): New. Correct call to memset(). Patch thanks to
      Silvio Cesare <silvio.cesare@gmail.com> (Closes: #609376).

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 09 Apr 2011 17:04:49 +0300

ifile (1.3.9-2) unstable; urgency=low

  * debian/compat
    - Update to 8.
  * debian/control
    - (Build-Depends): Update to debhelper 8.
    - (Standards-Version): Update to 3.9.1.
  * debian/debian-lintian.mk
    - Delete. Obsoleted by new debhelper.
  * debian/rules
    - Simplify more for dh(1).

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 04 Nov 2010 00:35:54 +0200

ifile (1.3.9-1) unstable; urgency=low

  * New maintainer (Closes: #546380).
    - Move to packaging format "3.0 (quilt)".
  * debian/control
    - (Build-Depends): Update to debhelper 7.1, remove quilt.
    - (Depends): add ${misc:Depends}.
    - (Standards-Version): updated to 3.8.4.
    - (Vcs-*): new fields.
  * debian/copyright
    - Update layout.
    - Update upstream email address.
  * debian/debian-autotools.mk
    - New file.
  * debian-lintian.mk
    - New file.
  * debian/examples
    - Read files under examples.d/ directory.
  * debian/rules
    - Update to dh(1).
  * debian/source/format
    - New file.
  * debian/ifile.lintian-overrides
    - New file.
  * debian/watch
    - Update to version 3.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 09 Mar 2010 23:55:32 +0200

ifile (1.3.8-2) unstable; urgency=low

  * Eliminate bashism (Closes: #530107).
  * Convert changelog to UTF-8 and fix spelling.
  * Fix undefined macros in manpage.
  * Added a Vcs-Hg control filed to indicate the location of the public
    repository.
  * Added homepage field.
  * Use quilt instead of dpatch for patches, and describe how to use
    quilt in Debian.source (thanks to Russ Allbery).
  * Bumped the Standards-Version to 3.8.1 and debhelper compatibility to
    level 7.

 -- Jens Peter Secher <jps@debian.org>  Sun, 24 May 2009 21:29:56 +0200

ifile (1.3.8-1) unstable; urgency=low

  * New upstream version and location.
  * Move all changes to dpatch.
  * Bumped Standards-Version to 3.7.1 and debhelper compatibility to level
    5.

 -- Jens Peter Secher <jps@debian.org>  Mon, 22 May 2006 22:08:19 +0200

ifile (1.3.5-2) unstable; urgency=low

  * Changed #!/bin/ksh into #!/bin/bash on request from
    togo@of.net. (Closes: bug#332192).

 -- Jens Peter Secher <jps@debian.org>  Mon, 10 Oct 2005 20:51:45 +0200

ifile (1.3.5-1) unstable; urgency=low

  * New upstream release which incorporates my man page changes.
  * Bump Standards-Version to 3.6.2.

 -- Jens Peter Secher <jps@debian.org>  Wed, 28 Sep 2005 11:22:15 +0200

ifile (1.3.4-3) unstable; urgency=low

  * Escaped hyphens in manpage where necessary to distinguish hard from
    soft hyphens.

 -- Jens Peter Secher <jps@debian.org>  Sun,  5 Jun 2005 17:52:37 +0200

ifile (1.3.4-2) unstable; urgency=low

  * Added a section with examples to the man page as suggested by Jari
    Aalto. (closes: bug#268332)

