=== debian/control ===
Source: ifile
Section: mail
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 9), bash (>= 3), autotools-dev
Standards-Version: 4.7.0
Homepage: http://qwone.com/~jason/ifile/
Vcs-Browser: https://salsa.debian.org/debian/ifile
Vcs-Git: https://salsa.debian.org/debian/ifile.git
Rules-Requires-Root: no

Package: ifile
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: spam filter capable of learning
 A text filter that uses machine learning to classify texts into
 groups. ifile works great as a spam filter. The text is classified by
 a simple statistical method called Naive Bayes, which basically
 considers each text an unordered collection of words and classifies
 by matching the distribution with the most closely matching group
 distribution. Alternatives to ifile are annoyance-filter, bogofilter,
 spamoracle, and spamprobe.
