=== debian/watch ===
version=4
http://qwone.com/~jason/ifile/ifile-(.*)\.tar\.gz
